Package org.w3c.tidy

# Class Entity

java.lang.Object
org.w3c.tidy.Entity

public class Entity extends Object
HTML ISO entity.

Version:
  $Revision: 487 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Constructor Summary

Constructors
Constructor
Description
`Entity(String name, int code)`
instantiates a new entity.

## Method Summary

Modifier and Type
Method
Description
`short`
`getCode()`
Getter for `code`.
`String`
`getName()`
Getter for `name`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Entity

public Entity(String name, int code)
instantiates a new entity.

Parameters:
  `name` - entity name
  `code` - entity code (will be casted to short)

## Method Details

### getCode

public short getCode()
Getter for `code`.

Returns:
  Returns the code.

### getName

public String getName()
Getter for `name`.

Returns:
  Returns the name.